TICKIT_TERM_GET_TERMTYPE(3)

NAME
tickit_term_get_termtype - returns the terminal type

SYNOPSIS
    #include <tickit.h>

    const char *tickit_term_get_termtype(TickitTerm *tt);

Link with -ltickit.

DESCRIPTION
tickit_term_get_termtype() returns the string name of the type of the terminal. This is the string that was given to tickit_term_new_for_termtype(3), or was fetched from the TERM environment variable. The returned value points directly into the buffer allocated by the TickitTerm instance itself; this buffer must not be modified or freed.

RETURN VALUE
tickit_term_get_termtype() returns a string buffer pointer.

SEE ALSO
tickit_term_new(3), tickit_term(7), tickit(7)